CaretStyle
Date: 2017-02-11

org.fife.ui.rtextarea

## Enum CaretStyle

- java.lang.Object
- - java.lang.Enum<CaretStyle>
  - - org.fife.ui.rtextarea.CaretStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CaretStyle>

      public enum CaretStyle
      extends java.lang.Enum<CaretStyle>

  Provides various ways to render a caret such as `ConfigurableCaret`.. Currently supported renderings include:
  1. As a vertical line (like `DefaultCaret`)
  2. As a slightly thicker vertical line (like Eclipse)
  3. As an underline
  4. As a "block caret"
  5. As a rectangle around the current character

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK_BORDER_STYLE`
    `BLOCK_STYLE`
    `THICK_VERTICAL_LINE_STYLE`
    `UNDERLINE_STYLE`
    `VERTICAL_LINE_STYLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaretStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CaretStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERTICAL_LINE_STYLE

          public static final CaretStyle VERTICAL_LINE_STYLE

    - #### UNDERLINE_STYLE

          public static final CaretStyle UNDERLINE_STYLE

    - #### BLOCK_STYLE

          public static final CaretStyle BLOCK_STYLE

    - #### BLOCK_BORDER_STYLE

          public static final CaretStyle BLOCK_BORDER_STYLE

    - #### THICK_VERTICAL_LINE_STYLE

          public static final CaretStyle THICK_VERTICAL_LINE_STYLE

  - ### Method Detail

    - #### values

          public static CaretStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CaretStyle c : CaretStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CaretStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null